Skip to main content
GET
/
v1
/
deals
/
{id}
Get deal by ID
curl --request GET \
  --url https://api.clientcommander.com/v1/deals/{id} \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timestamp": "2023-11-07T05:31:56Z",
    "version": "1.0.0"
  },
  "data": {
    "id": "<string>",
    "title": "<string>",
    "pipelineId": "<string>",
    "stageId": "<string>",
    "pipelineName": "<string>",
    "stageName": "<string>",
    "price": 123,
    "commission": 123,
    "closeDate": "2023-11-07T05:31:56Z",
    "people": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "team": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clientcommander.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication using Bearer token scheme.

How to get your API key:

  1. Log into Client Commander
  2. Go to Admin > API Keys
  3. Click Create API Key
  4. Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here

Path Parameters

id
string
required

Deal ID

Response

200 - application/json

Deal details

meta
object
required
data
object